%define         oname UrTSB

Summary:        Game Server Browser for the FPS Urban Terror
Name:           urtsb
Version:        0.4
Release:        %mkrel 10
License:        GPLv3
Group:          Games/Shooter
Source0:        http://urtsb.googlecode.com/files/%{oname}-%{version}.tar.gz
Url:            http://code.google.com/p/%{name}/
BuildArch:      noarch
BuildRequires:  pkgconfig(python2) >= 2.6
Requires:       pygtk2.0

%description
UrTSB is a Game Server Browser for the First Person Shooter game Urban Terror 
(http://www.urbanterror.info), targeted to run on Linux and Windows.

Features:

* Server search (master server query)
* Filter results (including UrT specific game types)
* Display server details - players (with kills, ping) and server vars
* Manage favorites - add/remove servers to a favorites list
* Buddy list - manage a buddy list and search servers your buddies are playing 
  on (note: the search is case sensitive!). Supports sub-strings. For example 
  if you add only the string [clan-tag] a buddy search will return all servers
  where players with [clan-tag] in their name are playing. Good to see where 
  your clan m8s are playing :)
* of course launching Urban Terror with automatic connection to a selected 
  server
* view a list of servers you recently played on (if UrTSB was used to connect) 
  including date of last connection and number of connections
* RCON feature


%prep 
%setup -qn %{oname}-%{version}

%build
OVERRIDE_CFLAGS="%{optflags}" %{__python2} setup.py build


%install
#python setup.py install --skip-build --root %{buildroot} \
%{__python2} setup.py install --skip-build --root=%{buildroot} \
                        --prefix=%{_prefix} \

#Icon installation
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p %{name}_src/resource/icons/logo.png       %{buildroot}%{_datadir}/pixmaps/%{name}.png

#Menu entry creation
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{oname}
Comment=Game Server Browser for the FPS Urban Terror
GenericName=Game Server Browser for the FPS Urban Terror
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=ArcadeGame;
EOF

%files
%{_bindir}/%{name}
%{python2_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.4-10.mga6
+ Revision: 972088
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 0.4-9.mga6
+ Revision: 895516
- make it noarch thus fixing empty debuginfo
- remove empty lang files to fix build with latest rpm
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 746811
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4-7.mga5
+ Revision: 730672
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 690085
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 544607
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-3.mga4
+ Revision: 499966
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 385136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Mon Apr 18 2011 juancho <juancho> 0.4-1.mga1
+ Revision: 87608
- Removed BuildRoot
- imported package urtsb


* Thu Nov 11 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.4-1mdv2011.0
+ Revision: 595925
- Fixed some rpmlint warnings
- import urtsb

